/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "avcapture.h"

namespace Phonon
{
namespace Gst
{
AvCapture::AvCapture( QObject* parent )
	: AbstractMediaProducer( parent )
{
//	object = avcapture_new();
}

AvCapture::~AvCapture()
{
//	gst_object_unref(object);
}

int AvCapture::audioCaptureDevice() const
{
	return 1;
}

void AvCapture::setAudioCaptureDevice( int index )
{
	Q_UNUSED( index );
}

int AvCapture::videoCaptureDevice() const
{
	return 1;
}

void AvCapture::setVideoCaptureDevice( int index )
{
	Q_UNUSED( index );
}

}} //namespace Phonon::Gst

#include "avcapture.moc"
// vim: sw=4 ts=4
